Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 88)
@@ -25,5 +25,7 @@
   typedef uint8_t            Tcounter_t; // universal counter
   typedef uint8_t            Tptr_t;     // universal pointer
-			     
+  typedef uint32_t           Tspr_t;
+  typedef uint16_t           Tspr_address_t;
+
 //typedef uint32_t           Tdestination1_t;
 //typedef uint32_t           Tdestination2_t;
@@ -69,4 +71,13 @@
   typedef enum
     {
+      ORBIS32,
+      ORBIS64,
+      ORFPX32,
+      ORFPX64,
+      ORVDX64
+    } ISA;
+
+  typedef enum
+    {
       PRIORITY_STATIC,
       PRIORITY_ROUND_ROBIN
@@ -93,5 +104,5 @@
       PREDICTOR_NEVER_TAKE      , // Branch is never  Take
       PREDICTOR_ALWAYS_TAKE     , // Branch is always Take
-      PREDICTOR_STATIC          , // If the adress of destination is previous, then the branch is take
+      PREDICTOR_STATIC          , // If the address of destination is previous, then the branch is take
       PREDICTOR_LAST_TAKE       , // The direction is as the last time (if is the first time : static)
       PREDICTOR_COUNTER         , // Counter table
@@ -99,6 +110,30 @@
       PREDICTOR_GLOBAL          , // Counter bank indexed with history table
       PREDICTOR_META            , // A meta_predictor choose between 2 predictor : the local or the global
-      PREDICTOR_CUSTOM            // Note predefined scheme
+      PREDICTOR_CUSTOM            // Not predefined scheme
     } Tpredictor_t;
+
+  //--------------------------------------------------[ instruction ]-----
+  class instruction_t
+  {
+  public :
+    Ttype_t      _type      ;
+    Toperation_t _operation ;
+    ISA          _isa_subset;
+    uint8_t      _isa_class ;
+
+    instruction_t (Ttype_t      type      ,
+                   Toperation_t operation ,
+                   ISA          isa_subset,
+                   uint8_t      isa_class )
+    {
+      _type       = type      ;
+      _operation  = operation ;
+      _isa_subset = isa_subset;
+      _isa_class  = isa_class ;
+    }
+  };
+
+  instruction_t instruction_information (uint32_t instruction);
+  uint32_t      instruction_size_data   (uint32_t instruction);
 
   //----------------------------------------------[ spr_mode_access ]-----
@@ -122,16 +157,17 @@
     switch (x)
       {
-      case TYPE_ALU     : return "ALU"    ; break;
-      case TYPE_SHIFT   : return "SHIFT"  ; break;
-      case TYPE_MOVE    : return "MOVE"   ; break;
-      case TYPE_TEST    : return "TEST"   ; break;
-      case TYPE_MUL_DIV : return "MUL_DIV"; break;
-      case TYPE_EXTEND  : return "EXTEND" ; break;
-      case TYPE_FIND    : return "FIND"   ; break;
-      case TYPE_SPECIAL : return "SPECIAL"; break;
-      case TYPE_CUSTOM  : return "CUSTOM" ; break;
-      case TYPE_BRANCH  : return "BRANCH" ; break;
-      case TYPE_MEMORY  : return "MEMORY" ; break;
-      default           : return ""       ; break;
+      case TYPE_ALU     : return "ALU"        ; break;
+      case TYPE_SHIFT   : return "SHIFT"      ; break;
+      case TYPE_MOVE    : return "MOVE"       ; break;
+      case TYPE_TEST    : return "TEST"       ; break;
+      case TYPE_MUL     : return "MUL"        ; break;
+      case TYPE_DIV     : return "DIV"        ; break;
+      case TYPE_EXTEND  : return "EXTEND"     ; break;
+      case TYPE_FIND    : return "FIND"       ; break;
+      case TYPE_SPECIAL : return "SPECIAL"    ; break;
+      case TYPE_CUSTOM  : return "CUSTOM"     ; break;
+      case TYPE_BRANCH  : return "BRANCH"     ; break;
+      case TYPE_MEMORY  : return "MEMORY"     ; break;
+      default           : return "Unknow type"; break;
       }
   };
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Usage.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Usage.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Usage.h	(revision 88)
@@ -16,4 +16,5 @@
 #  define USE_STATISTICS            0x20
 #  define USE_INFORMATION           0x40
+#  define USE_HEADER                0x80
 //#define USE_                      0x80
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 88)
@@ -10,10 +10,16 @@
 #define MORPHEO_MAJOR_VERSION 0
 #define MORPHEO_MINOR_VERSION 2
-#define MORPHEO_REVISION      87
+#define MORPHEO_REVISION      @REVISION
+#define MORPHEO_CODENAME      "Castor"
+
+#define MORPHEO_DATE_DAY      @DATE_DAY  
+#define MORPHEO_DATE_MONTH    @DATE_MONTH
+#define MORPHEO_DATE_YEAR     @DATE_YEAR 
 
 #define MORPHEO_VERSION       morpheo::toString(MORPHEO_MAJOR_VERSION)+"."+morpheo::toString(MORPHEO_MINOR_VERSION)+"."+morpheo::toString(MORPHEO_REVISION)
+#define MORPHEO_HEADER        morpheo::toString(MORPHEO_VERSION)+" - "+morpheo::toString(MORPHEO_CODENAME)
+#define MORPHEO_DATE          morpheo::toString(MORPHEO_DATE_YEAR)+"/"+morpheo::toString(MORPHEO_DATE_MONTH)+"/"+morpheo::toString(MORPHEO_DATE_DAY)
 
 /*
-  
  [ Change Log ]
  |
@@ -22,5 +28,5 @@
    | SystemC Only
    |
-   +-[ Minor Version 1 ]
+   +-[ Minor Version 1 ] - Castor
    | |
    | | Second Architecture, change the load_store_unit and implement exception
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h.sed
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h.sed	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h.sed	(revision 88)
@@ -11,9 +11,15 @@
 #define MORPHEO_MINOR_VERSION 2
 #define MORPHEO_REVISION      @REVISION
+#define MORPHEO_CODENAME      "Castor"
+
+#define MORPHEO_DATE_DAY      @DATE_DAY  
+#define MORPHEO_DATE_MONTH    @DATE_MONTH
+#define MORPHEO_DATE_YEAR     @DATE_YEAR 
 
 #define MORPHEO_VERSION       morpheo::toString(MORPHEO_MAJOR_VERSION)+"."+morpheo::toString(MORPHEO_MINOR_VERSION)+"."+morpheo::toString(MORPHEO_REVISION)
+#define MORPHEO_HEADER        morpheo::toString(MORPHEO_VERSION)+" - "+morpheo::toString(MORPHEO_CODENAME)
+#define MORPHEO_DATE          morpheo::toString(MORPHEO_DATE_YEAR)+"/"+morpheo::toString(MORPHEO_DATE_MONTH)+"/"+morpheo::toString(MORPHEO_DATE_DAY)
 
 /*
-  
  [ Change Log ]
  |
@@ -22,5 +28,5 @@
    | SystemC Only
    |
-   +-[ Minor Version 1 ]
+   +-[ Minor Version 1 ] - Castor
    | |
    | | Second Architecture, change the load_store_unit and implement exception
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h	(revision 88)
@@ -14,5 +14,5 @@
 #include <iostream>
 #include <list>
-#include "Behavioural/include/Environment.h"
+#include "Common/include/Environment.h"
 #include "Behavioural/include/Direction.h"
 #include "Common/include/ToString.h"
@@ -53,91 +53,93 @@
     private   : void             generate_file_package       (void);
     private   : void             generate_file_model         (void);
-
-    private   : std::string           get_package                 (uint32_t    depth                 ,
-								   std::string      filename              ,
-								   std::string      package_name          ,
-								   std::string      entity_name           );
-    private   : std::string           get_model                   (uint32_t    depth                 ,
-								   std::string      filename              ,
-								   std::string      entity_name           ,
-								   std::string      architecture_name     );
-    private   : std::string           get_header                  (uint32_t    depth                 ,
-								   std::string      filename              );
-    private   : std::string           get_entity                  (uint32_t    depth                 ,
-								   std::string      name                  );
-    private   : std::string           get_architecture            (uint32_t    depth                 , 
-								   std::string      name                  ,
-								   std::string      entity_name           );
-    private   : std::string           get_component               (uint32_t    depth                 ,
-								   std::string      name                  );
-
-    private   : std::string           get_port                    (uint32_t    depth                 );
-    public    : void             set_port                    (std::string      name                  ,
+      
+    private   : std::string      get_package                 (uint32_t    depth                 ,
+                                                              std::string filename              ,
+                                                              std::string package_name          ,
+                                                              std::string entity_name           );
+    private   : std::string      get_model                   (uint32_t    depth                 ,
+                                                              std::string filename              ,
+                                                              std::string entity_name           ,
+                                                              std::string architecture_name     );
+    private   : std::string      get_header                  (uint32_t    depth                 ,
+                                                              std::string filename              );
+    private   : std::string      get_entity                  (uint32_t    depth                 ,
+                                                              std::string name                  );
+    private   : std::string      get_architecture            (uint32_t    depth                 , 
+                                                              std::string name                  ,
+                                                              std::string entity_name           );
+    private   : std::string      get_component               (uint32_t    depth                 ,
+                                                              std::string name                  );
+      
+    private   : std::string      get_port                    (uint32_t    depth                 );
+    public    : void             set_port                    (std::string name                  ,
 							      direction_t direction             ,
-							      std::string      type                  );
-    public    : void             set_port                    (std::string      name                  ,
+							      std::string type                  );
+    public    : void             set_port                    (std::string name                  ,
 							      direction_t direction             ,
 							      uint32_t    size                  );
-    private   : std::string           get_signal                  (uint32_t    depth                 );
-    public    : void             set_signal                  (std::string      name                  ,
-							      std::string      type                  );
-    public    : void             set_signal                  (std::string      name                  ,
+    private   : std::string      get_signal                  (uint32_t    depth                 );
+    public    : void             set_signal                  (std::string name                  ,
+							      std::string type                  );
+    public    : void             set_signal                  (std::string name                  ,
 							      uint32_t    signal                );
-    public    : void             set_signal                  (std::string      name                  ,
-							      std::string      type                  ,
-							      std::string      init                  );
-    public    : void             set_signal                  (std::string      name                  ,
+    public    : void             set_signal                  (std::string name                  ,
+							      std::string type                  ,
+							      std::string init                  );
+    public    : void             set_signal                  (std::string name                  ,
 							      uint32_t    size                  ,
-							      std::string      init                  );
-    public    : void             set_signal                  (std::string      name                  ,
+							      std::string init                  );
+    public    : void             set_signal                  (std::string name                  ,
 							      uint32_t    size                  ,
 							      uint32_t    init                  );
-    public    : void             set_constant                (std::string      name                  ,
-							      std::string      type                  ,
-							      std::string      init                  );
-    public    : void             set_constant                (std::string      name                  ,
+    public    : void             set_constant                (std::string name                  ,
+							      std::string type                  ,
+							      std::string init                  );
+    public    : void             set_constant                (std::string name                  ,
 							      uint32_t    size                  ,
-							      std::string      init                  );
-    public    : void             set_constant                (std::string      name                  ,
+							      std::string init                  );
+    public    : void             set_constant                (std::string name                  ,
 							      uint32_t    size                  ,
 							      uint32_t    init                  );
 
-    private   : std::string           get_type                    (uint32_t    depth                 );
-    public    : void             set_type                    (std::string      name                  ,
-							      std::string      type                  );
-    private   : std::string           get_alias                   (uint32_t    depth                 );
-    public    : void             set_alias                   (std::string      name1                 ,
-							      std::string      type1                 ,
-							      std::string      name2                 ,
-							      std::string      range2                );
-    public    : void             set_alias                   (std::string      name1                 ,
+    private   : std::string      get_type                    (uint32_t    depth                 );
+    public    : void             set_type                    (std::string name                  ,
+							      std::string type                  );
+    private   : std::string      get_alias                   (uint32_t    depth                 );
+    public    : void             set_alias                   (std::string name1                 ,
+							      std::string type1                 ,
+							      std::string name2                 ,
+							      std::string range2                );
+    public    : void             set_alias                   (std::string name1                 ,
 							      uint32_t    size1                 ,
-							      std::string      name2                 ,
-							      std::string      range2                );
+							      std::string name2                 ,
+							      std::string range2                );
+      
+    public    : std::string      get_list                    (std::list<std::string> liste      ,
+                                                              uint32_t     depth                ,
+                                                              std::string  separator            ,
+                                                              bool         last_separator       );
+    public    : void             set_list                    (std::list<std::string> & liste    ,
+							      std::string  text                 );
 
-    public    : std::string           get_list                    (std::list<std::string> liste                ,
-								   uint32_t     depth                ,
-								   std::string       separator            ,
-								   bool         last_separator       );
-    public    : void             set_list                    (std::list<std::string> & liste              ,
-							      std::string         text               );
+    private   : std::string      get_body                    (uint32_t     depth                );
+    public    : void             set_body                    (std::string  text                 );
+                                                                                                
+    public    : void             set_body                    (Vhdl *       vhdl                 );
+                                                                                                
+    public    : void             set_body_component          (std::string  name_instance        ,
+                                                              std::string  name_component       ,
+                                                              std::list<std::string>   list_port_map);
+    public    : void             set_body_component_port_map (std::list<std::string> & list_port_map,
+                                                              std::string  name_port            ,
+                                                              uint32_t     size_port            ,
+                                                              std::string  name_signal          ,
+                                                              uint32_t     size_signal          );
 
-    private   : std::string           get_body                    (uint32_t       depth              );
-    public    : void             set_body                    (std::string         text               );
+    private   : std::string      get_library_ieee            (uint32_t     depth                );
+    private   : std::string      get_library_work            (uint32_t     depth                );
+    public    : void             set_library_work            (std::string  package_name         );
 
-    public    : void        set_body_component          (std::string         name_instance      ,
-							 std::string         name_component     ,
-							 std::list<std::string>   list_port_map      );
-    public    : void        set_body_component_port_map (std::list<std::string> & list_port_map      ,
-							 std::string         name_port          ,
-							 uint32_t       size_port          ,
-							 std::string         name_signal        ,
-							 uint32_t       size_signal        );
-
-    private   : std::string get_library_ieee            (uint32_t    depth                 );
-    private   : std::string get_library_work            (uint32_t    depth                 );
-    public    : void        set_library_work            (std::string      package_name          );
-
-    private   : std::string direction_toString          (direction_t direction);
+    private   : std::string      direction_toString          (direction_t  direction            );
     };
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h	(revision 88)
@@ -40,17 +40,17 @@
   public   : bool             singleton_end       (void);
   public   : bool             attribut            (std::string name, std::string value);
-  public   : bool             insert_XML          (XML    xml );
+  public   : bool             insert_XML          (XML    xml, uint32_t offset_depth=0);
 
   public   : void             filename_extension  (std::string extension);
-  public   : void             generate_file       (void);
-  public   : void             generate_file       (std::string encoding);
-  public   : std::string           get_body            (void);
-  public   : std::string           get_body            (uint32_t depth);
+  public   : void             generate_file       (std::string dirname, std::string encoding);
+  public   : void             generate_file       (std::string dirname=".");
+  public   : std::string      get_body            (void);
+  public   : std::string      get_body            (uint32_t depth);
 
   public   : bool             comment             (std::string text);
   public   : bool             text                (std::string text);
 					          
-  private  : std::string           indent              (uint32_t depth );
-  private  : std::string           indent              (void);
+  private  : std::string      indent              (uint32_t depth );
+  private  : std::string      indent              (void);
   private  : uint32_t         depth               (void);
 					          
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightFunctors.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightFunctors.h	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightFunctors.h	(revision 88)
@@ -0,0 +1,46 @@
+#ifndef _XMLLIGHT_FUNCTORS
+#define _XMLLIGHT_FUNCTORS
+
+#include "Behavioural/include/IXMLLight.h"
+
+namespace morpheo {
+	namespace XMLUtils {
+		
+	//******************************************CLASS DECLARATION**************************************//
+	
+		// enum to enumerate some XML tags playing a part within parsing process.
+		enum EXML_DELIMITOR {
+			BEGIN_TAG = '<', 
+			SECOND_TAG = '/',
+			END_TAG = '>'
+		};
+
+		// functor class used inside XML parsing algorithm 
+		class XMLLightComparator {
+		public:
+			bool operator () ( char firstChar, char secondChar ) ; 
+		
+		};
+		
+		// Deleter is a functor to handle deletion algorithm of XMLLightVector
+					
+		template<typename T> class XMLLightDeleter {
+		public: 
+			inline T * operator() ( T *);
+		};
+		
+	//*********************************** INLINE DEFINITION*********************************************//
+	
+		//definition of Deleter functor
+		template <typename T> T* XMLLightDeleter<T>::operator() ( T * xmlLightPointer )
+		{
+			xmlLightPointer -> detach();
+			//delete xmlLightPointer ; 
+			return NULL; 
+		}
+
+	} // end of namespace XMLUtils.
+} // end of morpheo's namespace.
+
+#endif // _XMLLIGHT_FUNCTORS 
+
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightVector.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightVector.h	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XMLLightVector.h	(revision 88)
@@ -0,0 +1,95 @@
+#ifndef _XMLLIGHT_VECTOR_
+#define _XMLLIGHT_VECTOR_
+
+#include "Behavioural/include/XMLLightFunctors.h"
+#include <vector>
+#include <algorithm>
+#include <iostream>
+
+using std::basic_ostream;
+using std::basic_ios;
+using std::endl;
+
+namespace morpheo {
+	namespace XMLUtils {
+	
+	//********************************************Class Declaration***************************************//
+	
+		// an helper class to handle XMLLight * vector 
+		template < typename XMLLightImpl>
+		class XMLLightVector : public std::vector<XMLLightImpl *> {
+		public : 
+			inline explicit XMLLightVector(void); 
+			inline ~XMLLightVector(void); 
+			
+			XMLLightVector(const XMLLightVector & xmlLightVectorCopied); 
+			XMLLightVector & operator= ( const XMLLightVector & copy ); 
+
+			// must be defined inside template class declaration 
+			template < typename charT, typename traits> friend 
+			basic_ostream<charT, traits> & operator<< 
+			( basic_ostream<charT, traits> & os , const XMLLightVector<XMLLightImpl> & vect) {
+				if ( vect.size() == 0 ) {
+					os << "There's no Child Nodes " << endl ; 
+				} else {
+					for (  unsigned int i = 0 ; i < vect.size() ; ++i ) {
+						os <<"Nodes "<< i << ": \n\t" <<  vect[i] ->getInternalString()  << endl; 
+					}
+				}
+				return os;   
+			}
+			
+		};
+		
+	//******************************************Inline implementation************************************//
+
+		template< typename T > class XMLLightDeleter;
+
+		template < typename XMLLightImpl > 
+		XMLLightVector<XMLLightImpl>::XMLLightVector() {
+		}				
+	
+		template < typename  XMLLightImpl >
+		XMLLightVector< XMLLightImpl>::~XMLLightVector(void) {
+			transform ( this -> begin(), this -> end(), this -> begin(), XMLLightDeleter<XMLLightImpl>() );
+		}
+
+	//**************************************** template implementation*******************************//
+
+		template < typename XMLLightImpl >
+		XMLLightVector<XMLLightImpl>::XMLLightVector(const XMLLightVector<XMLLightImpl> & copy ) {
+			for ( unsigned int i = 0 ; i < copy.size() ; ++i ) {
+				this -> push_back(copy[i]);
+				copy[i] -> attach(); 
+			}
+		}	
+
+		template < typename XMLLightImpl >
+		XMLLightVector<XMLLightImpl> & XMLLightVector<XMLLightImpl>::operator= ( const XMLLightVector<XMLLightImpl> & vector ) {
+			if ( &vector != this ) {
+				unsigned int this_size = this -> size();
+				unsigned int copy_max_size = vector.size();
+				unsigned int max_size = copy_max_size < this_size ? this_size : copy_max_size;
+				for ( unsigned int i = 0 ; i < max_size ; ++i ) {
+					if (  this_size ) {
+						(*this)[i] -> detach();
+					}
+					if ( i < copy_max_size ) {
+					 	if ( this_size == 0 ) {
+							this -> push_back(vector[i]);
+						} else {
+							(*this)[i] = vector[i]; 
+						}
+						(*this)[i] -> attach();
+					} else {
+						(*this)[i] = NULL; 
+					}
+				}
+			}	
+			return *this;
+		}
+
+	}// end of XMLUtils namespace 
+} // end of morpheo namespace 
+
+#endif // _XMLLIGHT_VECTOR_
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_generate_file.cpp	(revision 88)
@@ -8,8 +8,11 @@
 
 #include "Behavioural/include/Component.h"
+#include "Common/include/Environment.h"
 
 namespace morpheo              {
 namespace behavioural          {
 
+#undef  FUNCTION
+#define FUNCTION "Component::generate_file"
   void Component::generate_file (void)
   {
@@ -18,14 +21,16 @@
     try 
       {
+        directory();
+
 	XML xml = toXML();
 
-	xml.filename_extension ("pos");
+	xml.filename_extension (".pos");
 	
-	xml.generate_file("ISO-8859-1");
+	xml.generate_file(MORPHEO_POSITION,"ISO-8859-1");
 
       }
     catch (ErrorMorpheo e)
       {
-	throw (ErrorMorpheo ("Component \""+_entity->get_name()+"\" have a bad mapping : "+e.what()));
+	throw ERRORMORPHEO(FUNCTION,toString(_("Component \"%s\" have a bad mapping : %s\n")),_entity->get_name().c_str(),e.what().c_str());
       }
 
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 88)
@@ -20,5 +20,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-//     log_printf(NONE,Behavioural,FUNCTION,"Map %s.%s with %s.%s",
+//     log_printf(INFO,Behavioural,FUNCTION,"Map %s.%s with %s.%s",
 // 	       component_src.c_str(),
 // 	       port_src.c_str(),
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 88)
@@ -15,5 +15,5 @@
   bool Component::test_map (bool recursive)
   {
-    log_printf(NONE,Behavioural,FUNCTION, "Test port map and interface.");
+    log_printf(INFO,Behavioural,FUNCTION, "Test port map and interface.");
     return test_map (0, recursive);
   }
@@ -23,5 +23,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    std::string tab  = std::string(depth,'\t');
+    std::string tab  = std::string(depth,' ');
     std::string name = _entity->get_name();
     bool test_ok = true;
@@ -30,17 +30,17 @@
     if (is_behavioural)
       {
-	log_printf(NONE,Behavioural,FUNCTION, "%s* Component \"%s\" is a behavioural description",tab.c_str(),name.c_str());
+	log_printf(INFO,Interface,FUNCTION, "%s* Component \"%s\" is a behavioural description",tab.c_str(),name.c_str());
       }
     else
       {
-	log_printf(NONE,Behavioural,FUNCTION, "%s* Component \"%s\" is a structural description",tab.c_str(),name.c_str());
+	log_printf(INFO,Interface,FUNCTION, "%s* Component \"%s\" is a structural description",tab.c_str(),name.c_str());
       }
 
     
-    // 	log_printf(NONE,Behavioural,FUNCTION, "%s* Test port I/O",tab.c_str());
+    // 	log_printf(INFO,Behavioural,FUNCTION, "%s* Test port I/O",tab.c_str());
     
     test_ok &= _entity->test_map(depth+1,true,is_behavioural);
     
-    // 	log_printf(NONE,Behavioural,FUNCTION, "%s* Test all internal component",tab.c_str());
+    // 	log_printf(INFO,Behavioural,FUNCTION, "%s* Test all internal component",tab.c_str());
 	
     for (std::list<Tcomponent_t *>::iterator i= _list_component->begin();
@@ -72,5 +72,5 @@
 //   bool Component::test_equi (bool recursive)
 //   {
-//     log_printf(NONE,Behavioural,FUNCTION, "Test port equi and interface.");
+//     log_printf(INFO,Behavioural,FUNCTION, "Test port equi and interface.");
 //     return test_equi (0, recursive);
 //   }
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_test_map.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_test_map.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_test_map.cpp	(revision 88)
@@ -18,6 +18,6 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
   
-    std::string tab  = std::string(depth,'\t');
-    log_printf(NONE,Behavioural,FUNCTION, "%s* Entity \"%s\"",tab.c_str(),_name.c_str());
+    std::string tab  = std::string(depth,' ');
+    log_printf(INFO,Interface,FUNCTION,"%s* Entity \"%s\"",tab.c_str(),_name.c_str());
   
     bool _return = _interfaces->test_map(depth+1,top_level, is_behavioural);
@@ -42,5 +42,5 @@
   
 //     std::string tab  = std::string(depth,'\t');
-//     log_printf(NONE,Behavioural,FUNCTION, "%s* Entity \"%s\"",tab.c_str(),_name.c_str());
+//     log_printf(INFO,Behavioural,FUNCTION, "%s* Entity \"%s\"",tab.c_str(),_name.c_str());
   
 //     bool _return = _interfaces->test_equi(depth+1);
